Pterodactyldocs
Client server backups

Restore backup

Restores a backup to the server. Existing files will be overwritten. Returns 400 if the backup has not completed, or if the server is currently installing, transferring, or restoring a different backup.

POST/api/client/servers/{server}/backups/{backup}/restore

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Path Parameters

server*string

Server identifier (short 8-character ID)

backup*string

Backup UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/client/servers/1a7ce997/backups/904df120-a66f-4375-a4ae-40eedbeae630/restore" \  -H "Content-Type: application/json" \  -d '{    "truncate": false  }'
Empty